# Interface methods for submodule: ConjugateGradientOptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SingleValuedNonLinearVnlOptimizerProxy as _SingleValuedNonLinearVnlOptimizerProxy


# Interface methods for class: ConjugateGradientOptimizer
class ConjugateGradientOptimizerProxy(_SingleValuedNonLinearVnlOptimizerProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetOptimizer(self):
		""""""
		...

	def StartOptimization(self) -> None:
		""""""
		...

	def SetCostFunction(self, costFunction) -> None:
		""""""
		...

	def GetNumberOfIterations(self) -> int:
		""""""
		...

	def GetCurrentIteration(self) -> int:
		""""""
		...

	def GetValue(self) -> float:
		""""""
		...

